<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlAdvFrameSeqCfg_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlAdvFrameSeqCfg_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Advance Frame Sequence config API parameters rlAdvFrameCfg, 148 bytes.  
 <a href="structrl_adv_frame_seq_cfg__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_sensor.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a6ea761b8bca16c2f788a036482ff6df1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6ea761b8bca16c2f788a036482ff6df1"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_adv_frame_seq_cfg__t.html#a6ea761b8bca16c2f788a036482ff6df1">numOfSubFrames</a></td></tr>
<tr class="memdesc:a6ea761b8bca16c2f788a036482ff6df1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of sub frames enabled in this frame Valid range: 1 to 4. <br /></td></tr>
<tr class="separator:a6ea761b8bca16c2f788a036482ff6df1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf9b05e06b7b76786c8d7a447d5fda2a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aaf9b05e06b7b76786c8d7a447d5fda2a"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_adv_frame_seq_cfg__t.html#aaf9b05e06b7b76786c8d7a447d5fda2a">forceProfile</a></td></tr>
<tr class="memdesc:aaf9b05e06b7b76786c8d7a447d5fda2a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Force profile. <br />
 0x0 The profile index set in rlSetChirpConfig API governs which profile is <br />
 used when that chirp is transmitted <br />
 0x1 The profile index indicated in rlSetChirpConfig API is ignored and all <br />
 the chirps in each sub frame use a single profile as indicated by that sub <br />
 frame's profile forceProfileIdx. <br />
. <br /></td></tr>
<tr class="separator:aaf9b05e06b7b76786c8d7a447d5fda2a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05ac1e9a4db76a5f7529507205c40d72"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a05ac1e9a4db76a5f7529507205c40d72"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_adv_frame_seq_cfg__t.html#a05ac1e9a4db76a5f7529507205c40d72">loopBackCfg</a></td></tr>
<tr class="memdesc:a05ac1e9a4db76a5f7529507205c40d72"><td class="mdescLeft">&#160;</td><td class="mdescRight">Bit Definition <br />
 b0 LOOPBACK_CFG_EN <br />
 0 - Disable <br />
 1 - Enable <br />
 b2:1 SUB_FRAME_ID for which the loopback configuration applies <br />
 b7:3 RESERVED <br />
. <br /></td></tr>
<tr class="separator:a05ac1e9a4db76a5f7529507205c40d72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec32ef0f9e9a4e8602421c332eeed0bc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aec32ef0f9e9a4e8602421c332eeed0bc"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_adv_frame_seq_cfg__t.html#aec32ef0f9e9a4e8602421c332eeed0bc">subFrameTrigger</a></td></tr>
<tr class="memdesc:aec32ef0f9e9a4e8602421c332eeed0bc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sub frame trigger 0 - Disabled 1 - Enabled (Need to trigger each sub-frame either by SW in <br />
 software triggered mode or HW SYNC_IN line in hardware triggered mode) <br /></td></tr>
<tr class="separator:aec32ef0f9e9a4e8602421c332eeed0bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abbf7c8cb78e5a171ddeebfb6aaa0a92c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abbf7c8cb78e5a171ddeebfb6aaa0a92c"></a>
<a class="el" href="structrl_sub_frame_cfg__t.html">rlSubFrameCfg_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_adv_frame_seq_cfg__t.html#abbf7c8cb78e5a171ddeebfb6aaa0a92c">subFrameCfg</a> [RL_MAX_SUBFRAMES]</td></tr>
<tr class="memdesc:abbf7c8cb78e5a171ddeebfb6aaa0a92c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Subframe config for 4 sub frames. <br /></td></tr>
<tr class="separator:abbf7c8cb78e5a171ddeebfb6aaa0a92c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace493349839614241e264204852a1b6f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ace493349839614241e264204852a1b6f"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_adv_frame_seq_cfg__t.html#ace493349839614241e264204852a1b6f">numFrames</a></td></tr>
<tr class="memdesc:ace493349839614241e264204852a1b6f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of frames to transmit (1 frame = all enabled sub frames). If set to 0, <br />
 frames are transmitted endlessly till Frame Stop message is received.<br />
 Valid range: 0 to 65535 <br />
. <br /></td></tr>
<tr class="separator:ace493349839614241e264204852a1b6f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad13d6072dc73407a6b880242d360d525"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad13d6072dc73407a6b880242d360d525"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_adv_frame_seq_cfg__t.html#ad13d6072dc73407a6b880242d360d525">triggerSelect</a></td></tr>
<tr class="memdesc:ad13d6072dc73407a6b880242d360d525"><td class="mdescLeft">&#160;</td><td class="mdescRight">Selects the mode for triggering start of transmission of frame <br />
 0x0001 SWTRIGGER (Software API based triggering): <br />
 Frame is triggered upon receiving rlSensorStart There could be several tens <br />
 of micro seconds uncertainty in triggering. <br />
 Note:This mode is not applicable if this mmwave device is configured as <br />
 MULTICHIP_SLAVE in <a class="el" href="structrl_chan_cfg__t.html" title="Rx/Tx Channel Configuration. ">rlChanCfg_t</a> <br />
 0x0002 HWTRIGGER (Hardware SYNC_IN based triggering): <br />
 Each frame is triggered by rising edge of pulse in SYNC_IN pin, after <br />
 receiving rlSensorStart (this is to <br />
 prevent spurious transmission). <br />
 W.r.t. the SYNC_IN pulse, the actual transmission has 5ns uncertainty in <br />
 SINGLECHIP and only a 300 ps uncertainty (due to tight inter-chip <br />
 synchronization needed) in MULTICHIP sensor applications as defined in <br />
 <a class="el" href="structrl_chan_cfg__t.html" title="Rx/Tx Channel Configuration. ">rlChanCfg_t</a>. <br />
. <br /></td></tr>
<tr class="separator:ad13d6072dc73407a6b880242d360d525"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac78fa6b51e79711d867ae08e187b301"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aac78fa6b51e79711d867ae08e187b301"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_adv_frame_seq_cfg__t.html#aac78fa6b51e79711d867ae08e187b301">frameTrigDelay</a></td></tr>
<tr class="memdesc:aac78fa6b51e79711d867ae08e187b301"><td class="mdescLeft">&#160;</td><td class="mdescRight">Optional time delay from sync_in trigger to the occurance of frame chirps <br />
 Applicable only in SINGLECHIP sensor applications, as defined in <a class="el" href="structrl_chan_cfg__t.html" title="Rx/Tx Channel Configuration. ">rlChanCfg_t</a>.<br />
 It is recommended only for staggering the transmission of multiple mmwave <br />
 sensors around the car for interference avoidance, if needed. <br />
 1 lsb = 5 ns <br />
 Typical range is 0 to few tens of micro seconds. <br />
. <br /></td></tr>
<tr class="separator:aac78fa6b51e79711d867ae08e187b301"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9830bd443588f050c96ffa270c4a999a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9830bd443588f050c96ffa270c4a999a"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_adv_frame_seq_cfg__t.html#a9830bd443588f050c96ffa270c4a999a">reserved1</a></td></tr>
<tr class="memdesc:a9830bd443588f050c96ffa270c4a999a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a9830bd443588f050c96ffa270c4a999a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29ea1787e40255232473f9540def4da5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a29ea1787e40255232473f9540def4da5"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_adv_frame_seq_cfg__t.html#a29ea1787e40255232473f9540def4da5">reserved2</a></td></tr>
<tr class="memdesc:a29ea1787e40255232473f9540def4da5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a29ea1787e40255232473f9540def4da5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Advance Frame Sequence config API parameters rlAdvFrameCfg, 148 bytes. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_sensor.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
